#!/bin/bash

# Written by George Smart, M1GEO (http://www.george-smart.co.uk)
# Distributed under the 'No Rights Reserved' Licence :)

h_fsd=223
m_fsd=222

while true; do

	# Get system time 
	h=`date +%I | sed -e "s/^0//"` # %I gives 12 hour
	m=`date +%M | sed -e "s/^0//"` # %M gives minute
	s=`date +%S | sed -e "s/^0//"` # %S gives seconds

	# For testing 
		#echo -n "Enter Hour: "
		#read h
		#echo -n "Enter Minute: "
		#read m

	if [ "$h" -gt "11" ]; then
		h=$(($h-12))	## convert to 12hr time, if 24hr
	fi

	m_m=$(((($m*$m_fsd)+($s*$m_fsd)/59)/59))	# offset minute with seconds
	h_m=$(((($h*$h_fsd)+($m*$h_fsd)/59)/11))	# offset hour with minutes
	

	#echo -ne "\r Time: $h:$m:$s, Meters: $h_m / $m_m      \r"
	#sudo k8055 -a1:$h_m -a2:$m_m 2>&1 > /dev/null

	# swing the leds - horribly in efficient, but pretty! #####
	# swing led's one way
	for a in 1 2 4 8 16 32 64 128; do
		echo -ne "\r Time: $h:$m:$s, Meters: $h_m / $m_m  / $a    \r"
		sudo k8055 -d:$a -a1:$h_m -a2:$m_m 2>&1 > /dev/null
	done

	# then swing them back
	for a in 128 64 32 16 8 4 2 1; do
		echo -ne "\r Time: $h:$m:$s, Meters: $h_m / $m_m  / $a    \r"
		sudo k8055 -d:$a -a1:$h_m -a2:$m_m 2>&1 > /dev/null
	done

done
